main, header, section, footer, aside, nav, article, figure /* varmistaa näiden toiminnan vanhemmissa selaimissa */
{
display: block;
} 

a:link { color: blue }
a:visited { color: black }
a:active { color: red }

body { color: black;
background-color: #c0c0c0;
text-align:"center";
}

header {
font-size: 80%;
text-align:left;
text-align:justify;
margin: 0em;
padding-left: 0.2em;
padding-right: 0.2em;
padding-top: 0.4em;
padding-bottom: 0.4em;
background-color: #d8d8d8;
}

h1 { text-align: center;
font-size: 180%;
margin: 0px;
margin-top: 0px;
margin-bottom: 0px;
padding-top: 0.5em;
padding-bottom: 0.5em;
color: #ffffff;
background-color: #008800;
}

h2 { text-align:left;
font-size: 110%;
margin-top: 0.5em;
margin-bottom: 0px;
padding-top: 0em;
padding-bottom: 0em;
color: #006600;
border: 0px solid #000000;
}

h3 { text-align: left;
font-size: 100%;
font-weight:bold;
margin-left: 0em;
margin-bottom: 0px;
margin-top: 12px;
color: #000000;
}

h4 { text-align: left;
font-size: 100%;
font-weight:normal;
margin-left: 0px;
margin-bottom: 4px;
margin-top: 0px;
color: #006600;
}

h5 { text-align: left;
font-size: 100%;
margin-left: 0px;
margin-bottom: 4px;
margin-top: 0px;
color: #000000;
}

h6 {
width:600px;
text-align: center;
font-size: 100%;
margin: 1em;
margin-left:auto;
margin-right:auto;
padding: 0.5em;
color: red;
background-color: yellow;
border: 4px solid red;

}

p {
text-align:left;
font-size: 108%;
margin-left: 0em;
margin-right: 0em;
margin-bottom: 0.5em;
margin-top: 0.2em;
}

nav {
width:auto;
clear:none;
text-align:center;
margin-top: 1em;
margin-bottom: 1em;
margin-left:auto;
margin-right:auto;
}

nav a {
text-decoration:none;
background-color:#c0c0c0;
padding: 6px;
padding-left: 30px;
padding-right: 30px;
margin: 8px; 2px;
border: 1px solid #a0a0a0;
}

nav a:hover {
color: white;
background-color: green;
}

main {
width:auto;
min-width:280px;
max-width:1200px;
height:auto;
text-align:left;
margin-left:auto;
margin-right:auto;
margin-bottom: 1em;
margin-top: 0px;
background-color:#ffffff;
padding-top: 0px;
padding-bottom: 1em;
padding-left: 0em;
padding-right: 0em;
border: 2px solid #006600;
}

section { /* Palstat */
display: block;
text-align:left;
margin-left:auto;
margin-right:auto;
background-color:#ffffff;
text-align:left;
padding: 8px; 0px;
border: 0px solid #909090;
}

article {
display: flex;
align-items:stretch;
width:auto;
height:auto;
text-align:center;
margin-left:auto;
margin-right:auto;
margin-bottom: 0.5em;
margin-top: 0.5em;
padding-top: 0.5em;
padding-bottom: 0.1em;
padding-left: 0.5em;
padding-right: 0.5em;
background-color: #ffffff;
border: 0px solid #808080;
}

figure {
height:auto;
width:auto;
display: inline;
float: center;
text-align:left;
vertical-align: text-bottom;
margin:0px;
padding: 0px;
padding-right: 0.5em;
}

figure img {
display:inline;
float: center;
padding: 0px;
}

.linkki {
width:33%;
height:auto;
text-align:center;
margin:2px;
margin-left:4px;
margin-right:4px;
padding: 2px;
border: 1px solid #006600;
}

.linkki img {
display:block;
float: none;
clear: none;
text-align:center;
margin-left:auto;
margin-right:auto;
margin-top: 4px;
padding: 4px;
border: 2px solid #b0b0b0;
}

.linkki a:hover {
color: green;
}

.linkki a:hover img {
padding: 0px;
border: 6px solid green;
}

figcaption {
display: block;
width:auto;
float: none;
clear: none;
font-size: 120%;
font-weight: bold;
text-align:center;
margin: 0px;
padding: 0px;
padding-top: 4px;
padding-bottom: 4px;
}

p#kuvateksti {
text-align:center;
margin-left: 1em;
margin-right: 1em;
margin-bottom: 0.5em;
margin-top: 0.2em;
}

footer {
width:600px;
clear:none;
font-size: smaller;
text-align:center;
margin-top: 1em;
margin-bottom: 1em;
margin-left:auto;
margin-right:auto;
}


